
#include <qwidget.h>
#include <qcheckbox.h>

class SearchWindowPage : public QWidget
{
public:
	SearchWindowPage(QWidget *parent = 0, const char *name = 0);
	virtual ~SearchWindowPage();

	void readSettings();
	void saveSettings();
	
private:	
	QCheckBox *m_pRefNum;
	QCheckBox *m_pDirector;
	QCheckBox *m_pGenre;
	QCheckBox *m_pClassif;
	QCheckBox *m_pActor1;
	QCheckBox *m_pActor2;
	QCheckBox *m_pRelDate;
	QCheckBox *m_pRentCost;
	QCheckBox *m_pTitle;
	QCheckBox *m_pFirstName;
	QCheckBox *m_pLastName;
	QCheckBox *m_pHouseNum;
	QCheckBox *m_pAddr1;
	QCheckBox *m_pAddr2;
	QCheckBox *m_pTown;
	QCheckBox *m_pState;
	QCheckBox *m_pPhone;
	QCheckBox *m_pZipCode;
};
